Subject: FVWM: Function for toggling between windows?

From: Stefan Dalibor <[email-masked]>
Date: Mon, 3 Mar 1997 18:42:16 +0100 (MET)

Hi,
I've been a very satisfied user of Fvwm 1 for a few years.  Now I'm contem-
plating about switching to Fvwm 2 (mostly due to the improved flexibility).

However, there is one function I've been missing in Fvwm 1 and I wasn't able
to find in Fvwm 2 up to now: How can I program a hotkey for (repeated) toggling
between windows?
That means, if I select window B after having selected window A before, I'd
like the toggling function to pop me back into window A, and from there to
window B again (without having to look at the window list).  I hoped this
could be achieved by the new `Prev'-Function in Fvwm 2, but it doesn't work
for me.

Did I misinterpret the manual?  Could the kind of toggling I want be done
by an Fvwm function or would it take a new module?

As I am no subscriber of the Fvwm mailing lists, please put me on the CC
if you have any comments.

Thanks in advance,
Stefan

--
Stefan Dalibor         -         [email-masked]
http://faui30t.informatik.uni-erlangen.de:1200/Staff/dalibor/dalibor.html
"You read in the headlines, you hear it every day... they say they're gonna
 stop it but it doesn't go away." -- Glenn Frey
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Markus Gutschke <[email-masked]>
Date: 03 Mar 1997 20:45:36 +0100

> could be achieved by the new `Prev'-Function in Fvwm 2, but it doesn't work

The line

   Key F22         A       N       Prev [CurrentPage] FlipFocus

/should/ do what you want, but there have been many reports from
people for whom it did not work. Originally, I experienced similar
problems, but I could finally work around them by playing with the
style options for some of my applications. It seems, that the style
options for the window list module was causing (at least part of) the
problems. This is, what works for me, YMMV:

   Style "Fvwm*"        NoTitle,          Sticky,WindowListSkip,CirculateSkip
   Style "FvwmConsole"  Title,  Handles,  Slippery,WindowListHit,CirculateHit
   Style "FvwmBanner"   StaysOnTop
   Style "FvwmButtons"  NoTitle,NoHandles,Sticky,WindowListSkip,BorderWidth 0,ClickToFocus,CirculateSkip
   Style "FvwmWinList"  NoTitle,NoHandles,Sticky,WindowListSkip,BorderWidth 0,ClickToFocus,CirculateSkip

You might have to do some playing-around with options, until
everything works properly. I found it useful, to replace "FlipFocus"
with "Focus" while debugging my ".fvwmrc" file.

Markus

-- 
Markus Gutschke          Internet:       [email-masked]
Schlage 5a               PGP public key: finger -l [email-masked]
D-48268 Greven-Gimbte
Germany                            >>> I prefer encrypted e-mail <<<

---

From: Stefan Dalibor <[email-masked]>
Date: Tue, 4 Mar 1997 18:25:08 +0100 (MET)

> problems. This is, what works for me, YMMV:

Thanks - I tried it and it works - sometimes.  If it works, it works
fine: I can toggle ad infinitum between the two selected windows with
a single keystroke.
But mostly, nothing happens at all - the text cursor in Xterm windows
is blanked out for a moment (as if the window would loose focus, but
no other window gets the focus instead.  What's worse, toggling to
another window never works if the window which had the focus previously
is iconified.
Also, it isn't clear to me why I have to use `Prev [*] FlipFocus' in-
stead of just `FlipFocus'?

As Fvwm clearly has some idea of which window had the focus previously,
I think there should be a possibility to choose that window again.
Is the current behavior of FlipFocus a bit buggy or would some kind
of extension be necessary (e.g. a builtin function PreviousWindowID
returning the id of the former selected window?

> ....

In my experience, the styles I specify don't have any effect.

Stefan